/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::balise_close"
  bool XML::balise_close ()
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string name=*(_list_balise_name.begin());

    _list_balise_name.pop_front();

    _body += indent()+"</"+name+">\n";
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return true;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
